Bulk delete SLO definitions and their associated summary and rollup data.

Base URL
https://{kibana_url}
  • POST /s/{spaceId}/api/observability/slos/_bulk_delete
Auth

Bulk delete SLO definitions and their associated summary and rollup data. This endpoint initiates a bulk deletion operation for SLOs, which may take some time to complete. The status of the operation can be checked using the GET /api/slo/_bulk_delete/{taskId} endpoint.

Path parameters

spaceId string required

An identifier for the space. If /s/ and the identifier are omitted from the path, the default space is used.

Example: default

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

list string[] required

An array of SLO Definition id

Responses

Successful response

application/json
taskId string

The taskId of the bulk delete operation

Bad request

application/json
error string required
message string required
statusCode number required

Unauthorized response

application/json
error string required
message string required
statusCode number required

Forbidden response

application/json
error string required
message string required
statusCode number required
Base URL
https://{kibana_url}